<?php

/* REGISTER PLUGIN SETTINGS CUSTOM POST TYPE
    ----------------------------------------------------------------------------- */
    
    register_post_type('squeeze_pages', array(
      'labels' => array(
      'name' => __( 'Squeeze Pages' ),
      'singular_name' => __( 'Squeeze Page' ),
      'add_new' => __( 'Add Squeeze' ),
      'add_new_item' => __( 'Add New Squeeze' ),
      'edit' => __( 'Edit Squeeze Pages' ),
      'edit_item' => __( 'Edit Squeeze Page' ),
      'new_item' => __( 'New Squeeze Page' ),
      'view' => __( 'View  Squeeze Pages' ),
      'view_item' => __( 'View  Squeeze Page' ),
      'search_items' => __( 'Search Squeeze Pages' ),
      'not_found' => __( 'No Squeeze Pages found' ),
      'not_found_in_trash' => __( 'No Squeeze Pages Deleted Yet' ),
      'parent' => __( 'Parent Settings' ),
      ),
      'public' => true,
      'show_ui' => true, // UI in admin panel
      '_builtin' => false, // It's a custom post type, not built in
      '_edit_link' => 'post.php?post=%d',
      'capability_type' => 'post',
      'hierarchical' => false,      
      'rewrite' => array('slug'=>'sp'), // Permalinks - Ph2 - 1 ## change the permalink slug here
      'query_var' => true, // This goes to the WP_Query schema
      'supports' => array('title','editor','thumbnail','custom-fields') // Let's use custom fields for debugging purposes only
      
    ) );        
    add_rewrite_tag( '%squeeze_pages%', '([^/]+)' );
    $extra_post_types = get_post_types( array( '_builtin' => false, 'publicly_queryable' => true ) );
    if( empty( $extra_post_types ) )
    return;
    add_rewrite_tag( '%post_type%', '('.implode('|',$extra_post_types).')' );
    add_permastruct( 'squeeze_pages', '/sp/%squeeze_pages%/', true, 1 );
    
    // Register custom taxonomy  -  Ph2 - 2 ## change mediatax_01 to mediatax_02 for example here
    register_taxonomy("squeezecats", array("squeeze_pages"), array("hierarchical" => true, "label" => "Squeeze Groups", "singular_label" => "My Campaign", 'rewrite' => array("slug" => "scampaigns")));
    